QGIS Application - Bug report #20471
Query Builder failed to test filter expression

2018-11-13 05:52 AM - wendong song

Status: Closed
Priority: Normal
Assignee:

Category: Vectors

Affected QGIS version:3.4.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 28291

Description

When you click test button of query builder, it does not warn you if the expression is wrong, instead it gives you all rows.

Is it designed to be that in 3.4? 3.2 gives you a warning.

Related issues:

Duplicated by QGIS Application - Bug report # 20485: filter doesn't break on ... Closed 2018-11-14

History

#1 - 2018-11-13 12:25 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from Map Tools to Vectors

Is that the filter/query builder in the vector layer properties?

You can just write a plain wrong SQL statement and QGIS will not warn/give an error?

#2 - 2018-11-14 06:50 PM - Juirgen Fischer

- Duplicated by Bug report #20485: filter doesn't break on invalid expressions added

#3 - 2019-02-24 01:04 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
